Summary: Point-to-Point Tunneling Protocol (PPTP) Client
Name: pptp-linux
Provides: pptp-linux
Obsoletes: pptp-scripts
Version: 1.1.0
Release: 1
URL: http://pptpclient.sourceforge.net/
Source: http://unc.dl.sourceforge.net/sourceforge/pptpclient/%{name}-%{version}.tar.gz
Source1: pptp-command
Source2: options.pptp
Source3: pptp_fe.pl
Source4: xpptp_fe.pl
Copyright: GPL
Group: Applications/Internet
Packager: linuxkid <linux@peanutlinux.org>
BuildRoot: /tmp/pptp-linux-%{version}-buildroot

%description
Client for the proprietary Microsoft Point-to-Point Tunneling
Protocol, PPTP.  Allows connection to a PPTP based VPN as used
by employers and some cable and ADSL service providers.
Requires MPPE support in kernel, use package ppp-mppe.

%prep
%setup -q

%build
make CC="gcc $CFLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/etc/ppp
mkdir -p $RPM_BUILD_ROOT/etc/pptp.d
mkdir -p $RPM_BUILD_ROOT/etc/init.d/
cp pptp $RPM_SOURCE_DIR/pptp-command $RPM_BUILD_ROOT/usr/sbin
cp $RPM_SOURCE_DIR/options.pptp $RPM_BUILD_ROOT/etc/ppp
gzip -c9 debian/pptp.8 > $RPM_BUILD_ROOT/usr/man/man8/pptp.8.gz

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :
pwd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING INSTALL NEWS README TODO USING Documentation Reference
%doc debian/README.Debian debian/README.Reference 
%doc debian/changelog debian/copyright

%attr(0755,root,root) /usr/sbin/pptp
%attr(0444,root,root) /usr/man/man8/pptp.8.gz
%attr(0755,root,root) /usr/sbin/pptp-command
%config %attr(0600,root,root) /etc/ppp/options.pptp
%attr(0755,root,root) /etc/pptp.d
